Subject: Re: IconBox crashes

From: Dominik Vogt <[email-masked]>
Date: Fri, 2 Jun 2000 15:57:13 +0200

On Wed, May 31, 2000 at 09:41:29AM -0400, Dan Espen wrote:
> Dominik Vogt <[email-masked]> writes:
> > On Thu, May 25, 2000 at 12:25:52AM -0700, Local Echo wrote:
> > > I've been able to crash fvwm2 repeatedly with the
> > > Style iconbox settings.
> > > 
> > > Style Style1 IconBox 500x0+185+950 
> > > 
> > > doesn't seem to produce much but if I do it about 10
> > > times then issue a
> > > 
> > > Style * UseStyle Style1 I get a death right away.
> > > Style * IconBox 500x0+185+950 Program received signal 
> > > 
> > > a gdb revels this 
> > > 
> > > Program received signal SIGSEGV, Segmentation fault.
> > > 0x805ebc7 in copy_icon_boxes (pdest=0x80d36f4,
> > > src=0x80a70f8) at style.c:183
> > > 183         memcpy(temp, src, sizeof(icon_boxes));
> > 
> > Hm, can someone try this with purify, please?
> 
> I purified the current CVS as of yesterday.  Ran with my normal config.
> Brought up FvwmTalk and ran:
> 
> Style Style1 IconBox 500x0+185+950 
> ... (10 times)
> Style * UseStyle Style1
> 
> No complaints from Purify.
> 
> Using the menus gave me:
> 
>       UMR: Uninitialized memory read
>       This is occurring while in:
>             menuShortcuts  [menus.c:910]
>                
>                  /*** handle double-keypress ***/
>                
>             =>   if (pdkp->timestamp &&
>                      lastTimestamp - pdkp->timestamp < Menus.DoubleClickTime &&
>                      event->xkey.state == pdkp->keystate &&
>                      event->xkey.keycode == pdkp->keycode)
>             MenuInteraction [menus.c:1580]
>             do_menu        [menus.c:791]
>             MenuInteraction [menus.c:1960]
>             do_menu        [menus.c:791]
>             menu_func      [menus.c:5054]
>             popup_func     [menus.c:5064]
>             ExecuteFunction [functions.c:991]
>             HandleKeyPress [events.c:275]
>             DispatchEvent  [events.c:2324]
>             HandleEvents   [events.c:2364]
>             main           [fvwm.c:733]
>             _start         [crt1.o]
>       Reading 4 bytes from 0xefffb3a8 on the stack.
>       Address 0xefffb3a8 is        8 bytes past start of local variable "dkp" in function do_menu.

Ah yes, sometimes the pdkp/dkp variable is not properly initialised.
Consider it fixed.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]